Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.Mesh

    java.lang.Object
      igeo.io.IRhino3dm.RhinoObject
          igeo.io.IRhino3dm.Geometry
              igeo.io.IRhino3dm.Mesh

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.Mesh

extends IRhino3dm.Geometry

Field Summary
`int` | `closed`
`java.util.ArrayList<java.awt.Color>` | `color`
`IRhino3dm.MappingTag` | `ctag`
`IRhino3dm.MeshCurvatureStats[]` | `curvatureStat`
`java.util.ArrayList<IRhino3dm.MeshFace>` | `faces`
`int` | `hiddenCount`
`java.util.ArrayList<java.lang.Boolean>` | `hide`
`int` | `invalidCount`
`IRhino3dm.MeshParameters` | `meshParameters`
`float[][]` | `nbox`
`java.util.ArrayList<IVec>` | `normals`
`IRhino3dm.Interval[]` | `packedTextureDomain`
`boolean` | `packedTextureRotate`
`IRhino3dm.RhinoObject` | `parent`
`int` | `quadCount`
`java.util.ArrayList<IRhino3dm.SurfaceCurvature>` | `surfaceCurvature`
`IRhino3dm.Interval[]` | `surfaceDomain`
`java.util.ArrayList<IVec2>` | `surfaceParameter`
`double[]` | `surfaceScale`
`float[][]` | `tbox`
`java.util.ArrayList<IVec2>` | `texture`
`java.util.ArrayList<IRhino3dm.TextureCoordinates>` | `textureCoordinates`
`int` | `triangleCount`
`IRhino3dm.MappingTag` | `ttag`
`java.util.ArrayList<IVec>` | `unitNormals`
`static java.lang.String` | `uuid`
`float[][]` | `vbox`
`java.util.ArrayList<IVec>` | `vertices`

Fields inherited from class igeo.io.IRhino3dm.RhinoObject
`attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData`

Constructor Summary
`IRhino3dm.Mesh()`
`IRhino3dm.Mesh(IMeshI mesh)`

Method Summary
`IMeshGeo` | `createIGeometry(IRhino3dm.Rhino3dmFile context, IServerI s)`
`IMesh` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
`IRhino3dm.UUID` | `getClassUUID()`
`int` | `getType()`
`void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
`void` | `read1(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
`void` | `read2(IRhino3dm.Rhino3dmFile context, java.io.InputStream is, int vcount)`
`void` | `readFaceArray(IRhino3dm.Rhino3dmFile context, java.io.InputStream is, int vcount, int fcount)`
`void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`
`void` | `write1(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`
`void` | `write2(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, int vcount, java.util.zip.CRC32 crc)`
`void` | `writeFaceArray(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, int vcount, int fcount, java.util.zip.CRC32 crc)`

Methods inherited from class igeo.io.IRhino3dm.RhinoObject
`read, setAttributes, setAttributesToIObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uuid

    public static final java.lang.String uuid

See Also:
  Constant Field Values

### vertices

    public java.util.ArrayList<IVec> vertices

### faces

    public java.util.ArrayList<IRhino3dm.MeshFace> faces

### normals

    public java.util.ArrayList<IVec> normals

### unitNormals

    public java.util.ArrayList<IVec> unitNormals

### ttag

    public IRhino3dm.MappingTag ttag

### texture

    public java.util.ArrayList<IVec2> texture

### textureCoordinates

    public java.util.ArrayList<IRhino3dm.TextureCoordinates> textureCoordinates

### surfaceParameter

    public java.util.ArrayList<IVec2> surfaceParameter

### surfaceDomain

    public IRhino3dm.Interval[] surfaceDomain

### surfaceScale

    public double[] surfaceScale

### packedTextureDomain

    public IRhino3dm.Interval[] packedTextureDomain

### packedTextureRotate

    public boolean packedTextureRotate

### surfaceCurvature

    public java.util.ArrayList<IRhino3dm.SurfaceCurvature> surfaceCurvature

### ctag

    public IRhino3dm.MappingTag ctag

### color

    public java.util.ArrayList<java.awt.Color> color

### hide

    public java.util.ArrayList<java.lang.Boolean> hide

### hiddenCount

    public int hiddenCount

### parent

    public IRhino3dm.RhinoObject parent

### meshParameters

    public IRhino3dm.MeshParameters meshParameters

### invalidCount

    public int invalidCount

### quadCount

    public int quadCount

### triangleCount

    public int triangleCount

### closed

    public int closed

### vbox

    public float[][] vbox

### nbox

    public float[][] nbox

### tbox

    public float[][] tbox

### curvatureStat

    public IRhino3dm.MeshCurvatureStats[] curvatureStat

Constructor Detail

### IRhino3dm.Mesh

    public IRhino3dm.Mesh()

### IRhino3dm.Mesh

    public IRhino3dm.Mesh(IMeshI mesh)

Method Detail

### getClassUUID

    public IRhino3dm.UUID getClassUUID()

  Overrides:
    `getClassUUID` in class `IRhino3dm.Geometry`

### getType

    public int getType()

  Overrides:
    `getType` in class `IRhino3dm.RhinoObject`

### read

    public void read(IRhino3dm.Rhino3dmFile context,
                     java.io.InputStream is)
              throws java.io.IOException

  Overrides:
    `read` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

### read1

    public void read1(IRhino3dm.Rhino3dmFile context,
                      java.io.InputStream is)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### read2

    public void read2(IRhino3dm.Rhino3dmFile context,
                      java.io.InputStream is,
                      int vcount)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFaceArray

    public void readFaceArray(IRhino3dm.Rhino3dmFile context,
                              java.io.InputStream is,
                              int vcount,
                              int fcount)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### createIObject

    public IMesh createIObject(IRhino3dm.Rhino3dmFile context,
                               IServerI s)

  Overrides:
    `createIObject` in class `IRhino3dm.RhinoObject`

### createIGeometry

    public IMeshGeo createIGeometry(IRhino3dm.Rhino3dmFile context,
                                    IServerI s)

### write

    public void write(IRhino3dm.Rhino3dmFile context,
                      java.io.OutputStream os,
                      java.util.zip.CRC32 crc)
               throws java.io.IOException

  Overrides:
    `write` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

### write1

    public void write1(IRhino3dm.Rhino3dmFile context,
                       java.io.OutputStream os,
                       java.util.zip.CRC32 crc)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### write2

    public void write2(IRhino3dm.Rhino3dmFile context,
                       java.io.OutputStream os,
                       int vcount,
                       java.util.zip.CRC32 crc)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFaceArray

    public void writeFaceArray(IRhino3dm.Rhino3dmFile context,
                               java.io.OutputStream os,
                               int vcount,
                               int fcount,
                               java.util.zip.CRC32 crc)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD